rem using: cycle_start.cmd <dm,tdm,ah,cta>
@echo off
	cd bin
:b
	call dedicated_%1.cmd

	echo err_code is %ERRORLEVEL%

	if %ERRORLEVEL% NEQ 0 ( goto crash ) ELSE ( goto okay )

:crash
echo crash -( restarting server
goto b

:okay
echo going quit, all ok
